> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Normal Transactions By Address

> Retrieves the transaction history of a specified address, with optional pagination.

export const chain = '1';

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "blockNumber": "23467053",
        "blockHash": "0xf5646226f819fbdd6b2f1cb99de6e5d17da3d876ec166e69f4e9736c8ebf7ab4",
        "timeStamp": "1759129619",
        "hash": "0xf9db905d77704596d3600816bc70201586cfeec13bcf576320e2f38d6ca851a0",
        "nonce": "8",
        "transactionIndex": "184",
        "from": "0x2449ecef5012f0a0e153b278ef4fcc9625bc4c78",
        "to": "0xc5102fe9359fd9a28f877a67e36b0f050d81a3cc",
        "value": "0",
        "gas": "73271",
        "gasPrice": "238744402",
        "input": "0x5c19a95c0000000000000000000000002449ecef5012f0a0e153b278ef4fcc9625bc4c78",
        "methodId": "0x5c19a95c",
        "functionName": "delegate(address to)",
        "contractAddress": "",
        "cumulativeGasUsed": "22498564",
        "txreceipt_status": "1",
        "gasUsed": "48847",
        "confirmations": "589",
        "isError": "0"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/txlist.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Normal Transactions By Address
  version: 2.0.0
  description: >-
    Retrieves the transaction history of a specified address, with optional
    pagination.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Normal Transactions By Address
      description: >-
        Retrieves the transaction history of a specified address, with optional
        pagination.
      operationId: getTxlist
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 8453 for Base from our
            supported chains.
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to account for this endpoint
          schema:
            type: string
            default: account
          example: account
        - name: action
          in: query
          required: true
          description: Set to txlist for this endpoint
          schema:
            type: string
            default: txlist
          example: txlist
        - name: address
          in: query
          required: true
          description: >-
            The address to query, like
            0xfefefefefefefefefefefefefefefefefefefefe.
          schema:
            type: string
          example: '0xc5102fE9359FD9a28f877a67E36B0F050d81a3CC'
        - name: startblock
          in: query
          required: false
          description: Starting block number to search from.
          schema:
            type: integer
          example: 0
        - name: endblock
          in: query
          required: false
          description: Ending block number to search to.
          schema:
            type: integer
          example: 999999999
        - name: page
          in: query
          required: false
          description: Page number for pagination.
          schema:
            type: integer
          example: 1
        - name: offset
          in: query
          required: false
          description: >-
            Number of records per page. Use the page parameter for subsequent
            records.
          schema:
            type: integer
          example: 100
        - name: sort
          in: query
          required: false
          description: >-
            Sort order either desc for the latest transactions first or asc for
            the oldest transactions first.
          schema:
            type: string
          example: asc
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: Your Etherscan API key.

````